WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Extensions from 4.x repo verified ok with tc-5  (Read 81161 times)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #75 on: September 26, 2013, 11:46:25 PM »
updated epiphany posted

I can see the password store facility doesn't work - I think I'll need to re-compile gcr against gnupg (which Onyarian kindly agreed to submit) for this to work.

html5 audio/video works (additional deps required in some cases)

I haven't tried flash (I suspect this would require gtk2)

I'm sure I haven't tried all possible permutations, so any testing for missing deps for standard browser functionality would be appreciated.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #76 on: September 27, 2013, 12:58:40 PM »
OSS.tcz and OSS.tcz.dep  may be copied over to tc-5.0 repo

OSS-modules-3.8.10.tcz (32bit) has been submitted,
64bit to follow shortly.



(ossxmix needs a recompile due to png update)
« Last Edit: September 27, 2013, 01:00:48 PM by coreplayer2 »

Offline LinuxUser01

  • Full Member
  • ***
  • Posts: 111
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #77 on: September 27, 2013, 02:07:49 PM »
Anybody here working on VLC Media Player? It would be nice to have it in the TC v.5 repo. And maybe later, we can update it to the latest version 2.1.0.

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #78 on: September 30, 2013, 01:50:42 PM »
Here’s my report on extensions previously on TC4, that I tried to load on TC5:

Working:
rox-filer
urxvt
getlocale
tzdata
apache2-mod-php5
bc
cabextract
ddrescue
foomatic-rip
foremost
freemind
gftp
httptunnel
inflator
iodine
iproute2
nbtscan
nmap
pygame-2.7
rarcrack
samba3
screen
scrounge-ntfs
socat
sshfs-fuse
testdisk
thunderbird
typespeed
xtrlock

Loaded without errors, but not tested:
alsa-oss
reiserfsprogs
jfsutils
xfsprogs
ntfs-3g
cracklib
cups-smb
feedingbottle-3.0-rc1
python-numpy

Not working:
msttcorefonts      KO not shown by xlsfonts
cifs-utils      KO filesystems-3.8.10-tinycore.tcz not found!
keepassx      KO   libpng12.so.0
libreoffice-fr      KO   libpng12.so.0
links      KO   libpng12.so.0
Mplayer-nodeps      KO   libpng12.so.0
wine      KO v4l-dvb-3.8.10-tinycore.tcz not found!
winetricks-gui      ?? wine not loaded...
wpa_gui      KO   libpng12.so.0
zenity      KO   libpng12.so.0

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 10060
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #79 on: October 01, 2013, 05:28:19 AM »
For your cifs-utils one, use Apps to download missing deps. The filesystems extension exists, it's just not in your TCE dir.
The only barriers that can stop you are the ones you create yourself.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #80 on: October 01, 2013, 06:00:37 AM »
Here’s my report on extensions previously on TC4, that I tried to load on TC5:
...

bc, gftp, samba3, reiserfsprogs, jfsutils, xfsprogs, ntfs-3g and cifs-utils copied over so far

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #81 on: October 01, 2013, 06:03:58 AM »
Thank you Juanito! That was quickly done!

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 336
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #82 on: October 01, 2013, 11:06:21 AM »
Hi,

java-installer.tcz works OK in Tc5.x

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #83 on: October 01, 2013, 11:22:02 PM »
posted

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #84 on: October 02, 2013, 05:28:06 AM »
Here’s my report on extensions previously on TC4, that I tried to load on TC5:
...
thunderbird

The thunderbird dep file states that it depends on (amongst others) libstdc++-5.0.7 and xulrunner:
Code: [Select]
$ ldd `which thunderbird`
...
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7640000)
..indicates there is no need for the dep on libstdc++-5.0.7 and it starts without xulrunner - does it work without xulrunner?

Offline jls

  • Hero Member
  • *****
  • Posts: 2133
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #85 on: October 02, 2013, 07:14:14 AM »
vim is working chaging the Xorg dep
dCore user

Offline jls

  • Hero Member
  • *****
  • Posts: 2133
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #86 on: October 02, 2013, 07:19:03 AM »
synergy working
dCore user

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #87 on: October 02, 2013, 07:46:13 AM »
vim and synergy posted

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #88 on: October 02, 2013, 10:26:57 AM »
Freemind verified to work with TC5 version of Xorg-libs, instead of TC4 version. To this end, openjdk-7-jre.tcz.dep (from TC4) has to be changed to:
Code: [Select]
Xorg-7.7-lib.tcz
libasound.tcz

Offline theYinYeti

  • Full Member
  • ***
  • Posts: 177
    • YetI web site
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #89 on: October 02, 2013, 10:36:35 AM »
eglibc_gconv, eglibc_i18n_locale and eglibc_apps from TC4 confirmed to work with no modifications on TC5 (for getlocale).